Index: unk/anuga_core/demos/cairns/ExportResults.py
===================================================================
--- /trunk/anuga_core/demos/cairns/ExportResults.py	(revision 9180)
+++ 	(revision )
@@ -1,44 +1,0 @@
-import os
-import sys
-import project
-
-import anuga
-
-scenario = 'fixed_wave'
-name = 'cairns_' + scenario
-
-print 'output dir:', name
-which_var = 0
-
-if which_var == 0:    # Stage
-    outname = name + '_stage'
-    quantityname = 'stage'
-
-if which_var == 1:    # Absolute Momentum
-    outname = name + '_momentum'
-    quantityname = '(xmomentum**2 + ymomentum**2)**0.5'    #Absolute momentum
-
-if which_var == 2:    # Depth
-    outname = name + '_depth'
-    quantityname = 'stage-elevation'  #Depth
-
-if which_var == 3:    # Speed
-    outname = name + '_speed'
-    quantityname = '(xmomentum**2 + ymomentum**2)**0.5/(stage-elevation+1.e-3)'  #Speed
-
-if which_var == 4:    # Elevation
-    outname = name + '_elevation'
-    quantityname = 'elevation'  #Elevation
-
-print 'start sww2dem'
-
-anuga.sww2dem(name+'.sww',
-        outname+'.asc',
-        quantity=quantityname,
-        cellsize=100,      
-        #easting_min=project.eastingmin,
-        #easting_max=project.eastingmax,
-        #northing_min=project.northingmin,
-        #northing_max=project.northingmax,        
-        reduction=max, 
-        verbose=True)
Index: /trunk/anuga_core/demos/cairns/export_results.py
===================================================================
--- /trunk/anuga_core/demos/cairns/export_results.py	(revision 9181)
+++ /trunk/anuga_core/demos/cairns/export_results.py	(revision 9181)
@@ -0,0 +1,44 @@
+import os
+import sys
+import project
+
+import anuga
+
+scenario = 'fixed_wave'
+name = 'cairns_' + scenario
+
+print 'output dir:', name
+which_var = 0
+
+if which_var == 0:    # Stage
+    outname = name + '_stage'
+    quantityname = 'stage'
+
+if which_var == 1:    # Absolute Momentum
+    outname = name + '_momentum'
+    quantityname = '(xmomentum**2 + ymomentum**2)**0.5'    #Absolute momentum
+
+if which_var == 2:    # Depth
+    outname = name + '_depth'
+    quantityname = 'stage-elevation'  #Depth
+
+if which_var == 3:    # Speed
+    outname = name + '_speed'
+    quantityname = '(xmomentum**2 + ymomentum**2)**0.5/(stage-elevation+1.e-3)'  #Speed
+
+if which_var == 4:    # Elevation
+    outname = name + '_elevation'
+    quantityname = 'elevation'  #Elevation
+
+print 'start sww2dem'
+
+anuga.sww2dem(name+'.sww',
+        outname+'.asc',
+        quantity=quantityname,
+        cellsize=100,      
+        #easting_min=project.eastingmin,
+        #easting_max=project.eastingmax,
+        #northing_min=project.northingmin,
+        #northing_max=project.northingmax,        
+        reduction=max, 
+        verbose=True)
Index: /trunk/anuga_core/demos/cairns/export_results_to_qgis.py
===================================================================
--- /trunk/anuga_core/demos/cairns/export_results_to_qgis.py	(revision 9181)
+++ /trunk/anuga_core/demos/cairns/export_results_to_qgis.py	(revision 9181)
@@ -0,0 +1,59 @@
+import os
+import sys
+import project
+
+import anuga
+
+scenario = 'fixed_wave'
+name = 'cairns_' + scenario
+
+print 'output dir:', name
+
+for which_var in [0,2,3,4,5]:
+
+
+
+    if which_var == 0:    # Stage
+        outname = name + '_stage'
+        quantityname = 'stage'
+        reduction = max
+
+    if which_var == 5:    # Stage
+        outname = name + '_stage_0'
+        quantityname = 'stage'
+        reduction = 0    
+
+    if which_var == 1:    # Absolute Momentum
+        outname = name + '_momentum'
+        quantityname = '(xmomentum**2 + ymomentum**2)**0.5'    #Absolute momentum
+        reduction = max
+
+    if which_var == 2:    # Depth
+        outname = name + '_depth'
+        quantityname = 'stage-elevation'  #Depth
+        reduction = max
+
+    if which_var == 3:    # Speed
+        outname = name + '_speed'
+        quantityname = '(xmomentum**2 + ymomentum**2)**0.5/(stage-elevation+1.e-3)'  #Speed
+        reduction = max
+
+    if which_var == 4:    # Elevation
+        outname = name + '_elevation'
+        quantityname = 'elevation'  #Elevation
+        reduction = max
+
+    print 72*'='
+    print 'sww2dem '+outname
+    print 72*'='    
+
+    anuga.sww2dem(name+'.sww',
+            outname+'.asc',
+            quantity=quantityname,
+            cellsize=100,      
+            easting_min=project.eastingmin,
+            easting_max=project.eastingmax,
+            northing_min=project.northingmin,
+            northing_max=project.northingmax,        
+            reduction=reduction, 
+            verbose=True)