Index: /trunk/anuga_core/demos/cairns/cairns_fixed_wave.qgs
===================================================================
--- /trunk/anuga_core/demos/cairns/cairns_fixed_wave.qgs	(revision 9181)
+++ /trunk/anuga_core/demos/cairns/cairns_fixed_wave.qgs	(revision 9182)
@@ -24,5 +24,5 @@
         </destinationsrs>
     </mapcanvas>
-    <legend updateDrawingOrder="true" activeLayer="coast_line20140618144216334">
+    <legend updateDrawingOrder="true" activeLayer="flood_depth20140618142552581">
         <legendlayer drawingOrder="-1" open="true" checked="Qt::Checked" name="coast_line" showFeatureCount="0">
             <filegroup open="true" hidden="false">
@@ -35,6 +35,6 @@
             </filegroup>
         </legendlayer>
-        <legendlayer drawingOrder="-1" open="true" checked="Qt::Checked" name="flood_depth" showFeatureCount="0">
-            <filegroup open="true" hidden="false">
+        <legendlayer drawingOrder="-1" open="false" checked="Qt::Checked" name="flood_depth" showFeatureCount="0">
+            <filegroup open="false" hidden="false">
                 <legendlayerfile isInOverview="0" layerid="flood_depth20140618142552581" visible="1"/>
             </filegroup>
@@ -147,5 +147,5 @@
             <blendMode>0</blendMode>
         </maplayer>
-        <maplayer minimumScale="0" maximumScale="1e+08" type="raster" hasScaleBasedVisibilityFlag="0">
+        <maplayer minimumScale="-4.65661e-10" maximumScale="1e+08" type="raster" hasScaleBasedVisibilityFlag="0">
             <id>cairns_fixed_wave_speed20140618142315148</id>
             <datasource>./cairns_fixed_wave_speed.asc</datasource>
@@ -173,11 +173,20 @@
             <provider>gdal</provider>
             <pipe>
-                <rasterrenderer gradient="BlackToWhite" opacity="1" alphaBand="-1" type="singlebandgray" grayBand="1">
-                    <rasterTransparency/>
-                    <contrastEnhancement>
-                        <minValue>0</minValue>
-                        <maxValue>123.28</maxValue>
-                        <algorithm>StretchToMinimumMaximum</algorithm>
-                    </contrastEnhancement>
+                <rasterrenderer opacity="1" alphaBand="0" classificationMax="100" classificationMinMaxOrigin="User" band="1" classificationMin="0" type="singlebandpseudocolor">
+                    <rasterTransparency/>
+                    <rastershader>
+                        <colorrampshader colorRampType="INTERPOLATED" clip="0">
+                            <item alpha="255" value="0" label="0.000000" color="#fef0d9"/>
+                            <item alpha="255" value="11.1111" label="11.111111" color="#fde0b5"/>
+                            <item alpha="255" value="22.2222" label="22.222222" color="#fdd092"/>
+                            <item alpha="255" value="33.3333" label="33.333333" color="#fcb779"/>
+                            <item alpha="255" value="44.4444" label="44.444444" color="#fc9b63"/>
+                            <item alpha="255" value="55.5556" label="55.555556" color="#f67e50"/>
+                            <item alpha="255" value="66.6667" label="66.666667" color="#eb603f"/>
+                            <item alpha="255" value="77.7778" label="77.777778" color="#dd412d"/>
+                            <item alpha="255" value="88.8889" label="88.888889" color="#c82016"/>
+                            <item alpha="255" value="100" label="100.000000" color="#b30000"/>
+                        </colorrampshader>
+                    </rastershader>
                 </rasterrenderer>
                 <brightnesscontrast brightness="0" contrast="0"/>
@@ -269,5 +278,5 @@
         <maplayer minimumScale="0" maximumScale="1e+08" type="raster" hasScaleBasedVisibilityFlag="0">
             <id>coast20140618142948067</id>
-            <datasource>coast.tif</datasource>
+            <datasource>./coast.tif</datasource>
             <title></title>
             <abstract></abstract>
@@ -309,5 +318,5 @@
         <maplayer minimumScale="-4.65661e-10" maximumScale="1e+08" minLabelScale="0" maxLabelScale="1e+08" geometry="Line" type="vector" hasScaleBasedVisibilityFlag="0" scaleBasedLabelVisibilityFlag="0">
             <id>coast_line20140618144216334</id>
-            <datasource>coast_line</datasource>
+            <datasource>./coast_line</datasource>
             <title></title>
             <abstract></abstract>
@@ -498,7 +507,7 @@
                 <edittype labelontop="0" editable="1" type="0" name="ID"/>
             </edittypes>
-            <editform></editform>
+            <editform>.</editform>
             <editforminit></editforminit>
-            <annotationform></annotationform>
+            <annotationform>.</annotationform>
             <editorlayout>generatedlayout</editorlayout>
             <excludeAttributesWMS/>
@@ -508,5 +517,5 @@
         <maplayer minimumScale="-4.65661e-10" maximumScale="1e+08" type="raster" hasScaleBasedVisibilityFlag="0">
             <id>flood_depth20140618142552581</id>
-            <datasource>flood_depth.tif</datasource>
+            <datasource>./flood_depth.tif</datasource>
             <title></title>
             <abstract></abstract>
@@ -532,18 +541,23 @@
             <provider>gdal</provider>
             <pipe>
-                <rasterrenderer opacity="1" alphaBand="0" classificationMax="29.4356" classificationMinMaxOrigin="CumulativeCutFullExtentEstimated" band="1" classificationMin="0" type="singlebandpseudocolor">
+                <rasterrenderer opacity="1" alphaBand="0" classificationMax="50" classificationMinMaxOrigin="User" band="1" classificationMin="0" type="singlebandpseudocolor">
                     <rasterTransparency/>
                     <rastershader>
                         <colorrampshader colorRampType="INTERPOLATED" clip="0">
-                            <item alpha="255" value="0" label="0.000000" color="#f0f9e8"/>
-                            <item alpha="255" value="3.27062" label="3.270622" color="#d8efd4"/>
-                            <item alpha="255" value="6.54124" label="6.541244" color="#c0e6c0"/>
-                            <item alpha="255" value="9.81187" label="9.811867" color="#a5dcbe"/>
-                            <item alpha="255" value="13.0825" label="13.082489" color="#89d1c2"/>
-                            <item alpha="255" value="16.3531" label="16.353111" color="#6ec2c5"/>
-                            <item alpha="255" value="19.6237" label="19.623733" color="#55b0c8"/>
-                            <item alpha="255" value="22.8944" label="22.894356" color="#3c9bc6"/>
-                            <item alpha="255" value="26.165" label="26.164978" color="#2281b9"/>
-                            <item alpha="255" value="29.4356" label="29.435600" color="#0868ac"/>
+                            <item alpha="255" value="0" label="0.000000" color="#edf8fb"/>
+                            <item alpha="255" value="3.57143" label="3.571429" color="#dcf1f3"/>
+                            <item alpha="255" value="7.14286" label="7.142857" color="#cbebec"/>
+                            <item alpha="255" value="10.7143" label="10.714286" color="#bae5e5"/>
+                            <item alpha="255" value="14.2857" label="14.285714" color="#a7ddd9"/>
+                            <item alpha="255" value="17.8571" label="17.857143" color="#91d4c7"/>
+                            <item alpha="255" value="21.4286" label="21.428571" color="#7bcbb5"/>
+                            <item alpha="255" value="25" label="25.000000" color="#66c2a4"/>
+                            <item alpha="255" value="28.5714" label="28.571429" color="#55b890"/>
+                            <item alpha="255" value="32.1429" label="32.142857" color="#44af7c"/>
+                            <item alpha="255" value="35.7143" label="35.714286" color="#34a668"/>
+                            <item alpha="255" value="39.2857" label="39.285714" color="#259a57"/>
+                            <item alpha="255" value="42.8571" label="42.857143" color="#198b49"/>
+                            <item alpha="255" value="46.4286" label="46.428571" color="#0c7c3a"/>
+                            <item alpha="255" value="50" label="50.000000" color="#006d2c"/>
                         </colorrampshader>
                     </rastershader>
Index: /trunk/anuga_core/demos/cairns/run_parallel_cairns.py
===================================================================
--- /trunk/anuga_core/demos/cairns/run_parallel_cairns.py	(revision 9181)
+++ /trunk/anuga_core/demos/cairns/run_parallel_cairns.py	(revision 9182)
@@ -29,4 +29,8 @@
 # The parallel interface
 from anuga import distribute, myid, numprocs, finalize, barrier
+
+args = anuga.get_args()
+alg = args.alg
+verbose = args.verbose
 
 #------------------------------------------------------------------------------
@@ -72,8 +76,6 @@
     domain.set_datadir('.')                       # Store sww output here
     domain.set_minimum_storable_height(0.01)      # Store only depth > 1cm
-    domain.set_flow_algorithm('DE0')
+    domain.set_flow_algorithm(alg)
 
-
-    
 
     #------------------------------------------------------------------------------